Skip to main content
PATCH
Update price book item

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

priceBookId
integer<int64>
required

The unique identifier of the price book containing the item to update.

priceBookItemId
integer<int64>
required

The unique identifier of the item within the price book to update.

Query Parameters

archived
boolean

Whether to return only results that have been archived.

Body

application/json
billingFrequency
object
required

An object specifying the frequency at which billing occurs for the price book item.

billingPeriod
object
required

An object specifying the period over which billing occurs for the price book item.

customProperties
object
required

A map of custom property names to their values, allowing for additional customization of the price book item.

status
object
required

An object indicating the current status of the price book item.

archived
boolean

A boolean indicating whether the price book item is archived.

pricing
object

Response

successful operation

customProperties
object
required

A map of custom property names to their values, allowing for additional customization of the price book item.

id
string
required

The unique identifier for the price book item.

productId
string
required

The unique identifier of the product associated with this price book item.

archived
boolean

Indicates whether the price book item is archived. A boolean value.

archivedAt
string<date-time>

The date and time when the price book item was archived.

billingFrequency
enum<string>

The frequency at which billing occurs for this item. Valid values include 'annually', 'biweekly', 'monthly', 'one_time', 'per_five_years', 'per_four_years', 'per_six_months', 'per_three_years', 'per_two_years', 'quarterly', and 'weekly'.

Available options:
annually,
biweekly,
monthly,
one_time,
per_five_years,
per_four_years,
per_six_months,
per_three_years,
per_two_years,
quarterly,
weekly
billingPeriod
string

The billing period for the price book item.

costOfGoodsSold
string
createdAt
string<date-time>

The date and time when the price book item was created.

description
string
images
string
name
string

The name of the price book item.

priceBookId
string

The unique identifier of the price book to which this item belongs.

pricing
object
productClassification
enum<string>
Available options:
BUNDLE,
STANDALONE,
VARIANT
productType
enum<string>
Available options:
INVENTORY,
NON_INVENTORY,
SERVICE
recurringBillingTerms
enum<string>
Available options:
AUTOMATICALLY_RENEW,
FIXED
sku
string

The stock keeping unit (SKU) associated with the price book item.

status
enum<string>

The current status of the price book item. Valid values include 'active' and 'inactive'.

Available options:
active,
inactive
taxCategory
string
updatedAt
string<date-time>

The date and time when the price book item was last updated.

url
string
Last modified on July 20, 2026